@echo off
rem KKnD installer script
rem V1.0 - 28 Nov 96
rem By Andrew Buttery - Beam Software
rem E-Mail problems to: andrewb@beam.com.au


Rem Setting things up...

cls
echo KKnD Demo Installer/Uninstaller (Type Install Help for more info). 
echo.
if not exist kknddemo.exe goto no_zip          ; Is the zip in the same dir ?


Rem OK now parse the %1 parameter to see what's going on...

if "%1"=="" goto page_help                     ; No Option.. goto Help page
if "%1"=="help" goto page_help                 ; User wants help...
if "%1"=="HELP" goto page_help                 ; User wants help...
if "%1"=="Help" goto page_help                 ; User wants help... case
                                           rem ; sensitive probs. Grrrr...
                                           rem ; Is it a uninstall ?
if "%1"=="u" goto uninstall                    ; What the user should type
if "%1"=="U" goto uninstall                    ; What the user could type
if "%1"=="-u" goto uninstall                   ; What the user could type
if "%1"=="-U" goto uninstall                   ; What the user could type
if "%1"=="/u" goto uninstall                   ; What the user could type
if "%1"=="/U" goto uninstall                   ; What the user could type
if "%1"=="uninstall" goto uninstall            ; What the user could type
                                           rem ; if they haven't read help
echo Verifying path....                       
if not exist %1%\nul goto no_drive             ; Non-existant drive specified
                                           rem ; Doesn't handle bungled net-
                                           rem ; work connections gracefully,
                                           rem ; Oh well that's the breaks...

                                           rem ; This is a ugly way of doing
                                           rem ; a check but it's better than
                                           rem ; nothing :)
echo.
echo The Small Demo Version of KKnD will take up approximately 13 Mb of space
echo in the location you have specified (%1\).
echo Current details of drive are as follows :
dir %1\dummy.xxx                           
echo.
choice /c:yn Do you have enough space to continue and wish to proceed 
if errorlevel 2 goto abort_exit
echo.
if exist %1\kknddemo\nul goto dir_exists

goto install



Rem Errors messages or more information please...

:no_zip
echo The install program must be run from the same directory as
echo the file KKNDDEMO.ZIP.
goto abort_exit

:no_drive
echo Not able to install to location %1\. Note: Install appends a "\"
echo to your path which may cause problems. If you have, please try again
echo without the trailing "\".
goto abort_exit

:dir_exists
echo There is already a KKnDDEMO directory in the location you have
choice /c:yn specified. Overwrite
if errorlevel 2 goto abort_exit
goto install

:thevoice_installed
echo.
echo There is already a THEVOICE.CFG in c:\ which KKnD uses for the sound
echo system. If you have not used a Melbourne House (or Beam Software)
echo product in a while you may want to run it again in case your system
echo has changed.
echo.
choice /c:yn Do you wish to run THEVOICE 
if errorlevel 2 goto skip_voice
goto run_voice

:no_voicecfg
echo.
echo You have exited THEVOICE without saving the settings or THEVOICE could
echo not create the THEVOICE.CFG file in your c:\ location. If the .CFG
echo does not exist then you will not have any sound with the KKnD Demo.
echo.
choice /c:yn Run THEVOICE again 
if errorlevel 2 goto skip_voice
goto run_voice

:page_help
cls
echo KKnD Demo installer.
echo October 29, 1996
echo.
echo The installer will create the necessary directories and files to
echo be able to run the KKnD Demo.
echo.
echo Options:
echo.
echo help               - Will display this page
rem echo u                  - Fires up the uninstaller program
echo [drive][path]      - will attempt to install to the desired location
echo.
echo e.g.       "install C:" will install KKnD to C:\KKNDDEMO
echo            "install C:\GAMES" will install to C:\GAMES\KKNDDEMO                
rem echo            "install u C:\KKNDEMO" will uninstall from C:\KKNDDEMO 
echo.
echo Refer to the file "README.TXT" if you encounter problems with this installer!
echo.
echo    If you simply cannot get install to work, you can E-Mail
echo                        andrewb@beam.com.au
echo.
goto exit


Rem This is where the guts of the installing is...

Rem The installing code, tah-dah !!!
:install

kknddemo.exe -d -o %1\

if exist c:\thevoice.cfg goto thevoice_installed
echo.
echo KKnD Demo uses a file called THEVOICE.CFG to see the settings of your
echo sound card. This file is stored in C:\.  Installer will now run THEVOICE.
echo.
pause
:run_voice
%1\kknddemo\thevoice -pc:\thevoice.cfg
if not exist c:\thevoice.cfg goto no_voicecfg
:skip_voice

echo.
echo For the best performance of KKnD you need VESA support. If your video
echo card does not already have it (please check your video card
echo documentation) then you can use the shareware version of UNIVBE that
echo is bundled with this demo.
echo.
choice /c:yn Run UNIVBE install
if errorlevel 2 goto skip_univbe

echo Handing you over to the UNIVBE installer...  Note: It's a good idea to
echo install it in the %1\KKNDDEMO directory
echo.
call %1\kknddemo\univbe\install
echo.

if exist %1\kknddemo\uvconfig.exe goto run_kknd_uvconfig
if exist c:\sdd53\uvconfig.exe goto run_sdd53_uvconfig
echo Before you run KKnD for the first time you will need to run UVCONFIG.EXE
echo for UNIVBE to get set up properly.  As I can't seem to find where you
echo have installed UNIVBE you'll need run it once the installation is complete.
echo.
goto skip_univbe

:run_kknd_uvconfig
call %1\kknddemo\uvconfig
goto skip_univbe

:run_sdd53_uvconfig
call c:\sdd53\uvconfig

:skip_univbe
echo.
echo If you are using UNIVBE you will need to run it before you execute
echo the KKnd demo.

goto cool_exit


Rem The uninstalling code... be vewy, vewy careful, we're deleting files...

:uninstall
echo. Unfortunately we didn't have time for this. Next Version :)
goto exit

Rem Time to go home..

:abort_exit
echo.
echo Installation aborted.
goto exit

:cool_exit
cd %1\kknddemo
echo.
echo Install session complete. You should now be ready to play KKnD !!!
echo Move to the KKNDDEMO directory (if you aren't there already) and
echo type "KKND". If you have problems check out README.TXT for more info.

:exit
